Subject: Re: linux-next: build warning after merge of the i2c tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Wed, 12 Jun 2019 08:48:24 -0300

Em Wed, 12 Jun 2019 13:09:04 +0200
Wolfram Sang <[email-masked]> escreveu:

> Hi Mauro,
> 
> > That entire use of _P, _R and _ri looks weird into my eyes. The code there  
> 
> Yes.
> 
> > do things like:
> > 
> > #define _P 32
> > 
> > ...
> > 
> >         if (_P == 64)
> >                 reg1[1] |= 0x40;  
> 
> Yup, I saw this, too, but didn't feel like refactoring the driver.
> Thanks for stepping up!
> 
> > I'll work on a patch to address it.  
> 
> OK, so that means I should send my pull request after yours in the next
> merge window? To avoid the build breakage?

Either that or you can apply my patch on your tree before the
patch that caused the breakage. 

Just let me know what works best for you.

> Kind regards,
>    Wolfram

Thanks,
Mauro